DCMTK - Bug #937

Revise DcmFileFormat::checkMetaHeaderValue()
2020-07-10 12:47 - J6rg Riesmeier

Status: New Start date: 2020-07-10
Priority: Normal Due date:

Assignee: Michael Onken % Done: 0%
Category: Library Estimated time: 0:00 hour
Target version: 3.7.1+

Module: dcmdata Compiler:

Operating System:

Description
There are various issues with the current (rather old) implementation of DcmFileFormat::checkMetaHeaderValue():

e The method does not modify element values if the VR (of pre-existing elements) is incorrect.
e The method does not fully support newer attributes such as Source/Sending/Receiving Application Entity Title.

¢ The method does not make use of current dcmdata helper functions; the code is, therefore, unnecessarily complex.

This code certainly needs some revision.

Related issues:

Related to DCMTK - Feature #1066: Fill in Sending/Receiving Entity-Title-in... New 2023-02-14
Copied from DCMTK - Bug #653: Use EWM_createNewMeta as the default for saveFi... Closed 2015-08-10
History

#1 - 2020-07-10 12:48 - J6rg Riesmeier
- Copied from Bug #653: Use EWM_createNewMeta as the default for saveFile() and write() method? added

#2 - 2021-11-11 21:29 - Michael Onken

- Target version set to 3.6.7

#3 - 2021-11-12 11:32 - Michael Onken

- Assignee set to Michael Onken

#4 - 2022-02-03 10:25 - Michael Onken

- Target version changed from 3.6.7 to 3.7.1+

#5 - 2023-01-16 15:44 - Jorg Riesmeier

- Target version changed from 3.7.1+ to 3.6.8

#6 - 2023-02-14 10:44 - Michael Onken
- Related to Feature #1066: Fill in Sending/Receiving Entity-Title-4n Metaheader where applicable added

#7 - 2023-08-16 12:06 - JOorg Riesmeier

- Target version changed from 3.6.8 to 3.7.1+

#8 - 2024-01-16 18:52 - Jorg Riesmeier

- Target version changed from 3.7.1+ to 3.6.9

#9 - 2024-06-26 10:16 - JOorg Riesmeier

- Target version changed from 3.6.9 to 3.7.1+
